From: xuw2015@gmail.com
To: fstests@vger.kernel.org
Cc: George Wang <xuw2015@gmail.com>
Subject: [PATCH] generic/027: enlarge fs size for btrfs in bigger page-size machine
Date: Fri, 11 Sep 2015 19:41:31 +0800 [thread overview]
Message-ID: <1441971691-26427-1-git-send-email-xuw2015@gmail.com> (raw)
From: George Wang <xuw2015@gmail.com>
btrfs on bigger page-size machine(such as ppc64/ppc64le), the min fs
size shoule be more than 480MB. Otherwise, the mount will fail.
So we shoud adjust the fs size to 512MB for btrfs to run this test
correctly. And we also provide a double check: if mount fails, we should
never run this test.
Signed-off-by: George Wang <xuw2015@gmail.com>
---
tests/generic/027 | 19 +++++++++++--------
1 file changed, 11 insertions(+), 8 deletions(-)
diff --git a/tests/generic/027 b/tests/generic/027
index d2e59d6..c42b9a6 100755
--- a/tests/generic/027
+++ b/tests/generic/027
@@ -65,8 +65,17 @@ _require_scratch
rm -f $seqres.full
echo "Silence is golden"
-_scratch_mkfs_sized $((256 * 1024 * 1024)) >>$seqres.full 2>&1
-_scratch_mount
+loop=100
+fs_size=$((256 * 1024 * 1024))
+# btrfs takes much longer time, reduce the loop count
+# btrfs takes much more space when first mount on bigger page-size machine
+if [ "$FSTYP" == "btrfs" ]; then
+ loop=10
+ fs_size=$((512 * 1024 * 1024))
+fi
+
+_scratch_mkfs_sized $(fs_size) >>$seqres.full 2>&1
+_scratch_mount || _notrun "scratch dev is not mounted successfully"
echo "Reserve 2M space" >>$seqres.full
$XFS_IO_PROG -f -c "pwrite 0 2m" $SCRATCH_MNT/testfile >>$seqres.full 2>&1
@@ -75,12 +84,6 @@ $XFS_IO_PROG -f -c "pwrite 0 254m" $SCRATCH_MNT/bigfile >>$seqres.full 2>&1
echo "Remove reserved file" >>$seqres.full
rm -f $SCRATCH_MNT/testfile
-loop=100
-# btrfs takes much longer time, reduce the loop count
-if [ "$FSTYP" == "btrfs" ]; then
- loop=10
-fi
-
dir=$SCRATCH_MNT/testdir
echo -n "iteration" >>$seqres.full
i=1
--
1.9.3
next reply other threads:[~2015-09-11 11:41 UTC|newest]
Thread overview: 5+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-09-11 11:41 xuw2015 [this message]
2015-09-11 12:06 ` [PATCH] generic/027: enlarge fs size for btrfs in bigger page-size machine Filipe David Manana
[not found] ` <CAPBX1x+GZ0iorNojS90o7eAw4-0Z3LWsLN_8Bz8vscwJ0vEjQQ@mail.gmail.com>
2015-09-14 8:35 ` Filipe David Manana
2015-09-14 9:29 ` George Wang
2015-09-21 0:19 ` Dave Chinner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1441971691-26427-1-git-send-email-xuw2015@gmail.com \
--to=xuw2015@gmail.com \
--cc=fstests@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox